Certificate Manager API, REST: Certificate.Create
Creates a certificate in the specified folder.
HTTP request
POST https://certificate-manager.api.cloud.yandex.net/certificate-manager/v1/certificates
Body parameters
{
"folderId": "string",
"name": "string",
"labels": "object",
"certificate": "string",
"chain": "string",
"privateKey": "string",
"description": "string",
"deletionProtection": "boolean"
}
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create a certificate in. The maximum string length in characters is 50. |
|
name |
string Name of the certificate. Value must match the regular expression |
|
labels |
object (map<string, string>) Labels for the certificate as The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
|
certificate |
string PEM-encoded certificate content of the certificate. The maximum string length in characters is 32768. |
|
chain |
string PEM-encoded certificate chain content of the certificate. The maximum string length in characters is 2097152. |
|
privateKey |
string Required field. PEM-encoded private key content of the certificate. The string length in characters must be 1-524288. |
|
description |
string Description of the certificate. The maximum string length in characters is 1024. |
|
deletionProtection |
boolean Flag that protects deletion of the certificate |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |